##  Fri Jan 22 10:02:53 2010
##  py2plum output from PC/Beagle rules:
##  START OF BOILERPLATE.

##  BEAGBOOL :
def beagbool (v):
    "Python function to convert numeric to Boolean, as in Beagle."

    if v > 0:
        return  True
    else:
        return  False


##  BEAGMATH :
def beagmath (v):
    "Python function to convert Boolean to numeric, as in Beagle."

    if v:
        return  1.0
    else:
        return  0.0
    

##  END OF BOILERPLATE.

##  BEAGVAL :
def beagval (varvals):
    "evaluates Beagle rules on list of values (first at 0)."
    ##  take care to supply values in same order as tagfile.

    BACKBONE = varvals[9]
    FEATHERS = varvals[2]
    AIRBORNE = varvals[5]
    HAIR = varvals[1]
    TOOTHED = varvals[8]
    TAIL = varvals[14]
    LEGS = varvals[13]
    Z = 0.0  ##  zero variable

    rtot = 0
    rv =  ( FEATHERS >  Z)
    if rv:
        rtot += 1
    rv =  ( not (( TOOTHED >=  BACKBONE) or ( LEGS >=    4.0000)))
    if rv:
        rtot += 1
    rv =  beagbool( AIRBORNE - beagmath( HAIR >=  TAIL) )
    if rv:
        rtot += 1

    if rtot >= 3:
        return  'all'
    if rtot <= 0:
        return  'none'
    return  'some'

##  { Coded from ZOOBASE.rrr on 22/01/2010 }
##  Beagle target expression : ( TYPE =    2.0000)

##  function takes input data case (file row) in varvals[].
##  returns 'none', 'some' or 'all' based on # of rules firing.
